import { Dcomm } from "dcomm/dist"
import { AdminAPI } from "dcomm/dist/apis/admin"
import { Defaults } from "dcomm/dist/utils"

const ip: string = "localhost"
const port: number = 9650
const protocol: string = "http"
const networkID: number = 1337
const dcomm: Dcomm = new Dcomm(ip, port, protocol, networkID)
const admin: AdminAPI = dcomm.Admin()

const main = async (): Promise<any> => {
  const blockchain: string = Defaults.network[networkID].AST.blockchainID
  const aliases: string[] = await admin.getChainAliases(blockchain)
  console.log(aliases)
}

main()
